"""
DO NOT EDIT THIS FILE!!
This file is automatically generated by the process_schemas.py program
in the scripts directory. It is not intended to be edited directly. If
you need to update the GEL protocol classes, please run the script
on the appropriate schema version.
"""
from protocols.protocol import (
    ProtocolElement,
    avro_parse,
    load_schema,
)


class LocusMendelSummary(ProtocolElement):
    """
    No documentation
    """

    # load schema from file
    _schemaSource = load_schema(__file__)
    # parse into avro classes
    schema = avro_parse(_schemaSource)

    requiredFields = {}

    @classmethod
    def getEmbeddedTypes(cls):
        return {}

    @classmethod
    def getEmbeddedEnums(cls):
        return {}

    @classmethod
    def getEmbeddedByNamespace(cls):
        # import here to prevent circular imports in python 2.7.
        from protocols.protocol_7_0 import metrics as metrics_1_2_0

        return {
            "org.gel.models.metrics.avro.LocusMendelSummary": metrics_1_2_0.LocusMendelSummary,
        }

    __slots__ = [
        "chr",
        "code",
        "numberOfErrors",
        "sampleId",
    ]

    def __init__(
        self,
        chr=None,
        code=None,
        numberOfErrors=None,
        sampleId=None,
        validate=None,
        **kwargs
    ):
        """Initialise the metrics_1_2_0.LocusMendelSummary model.

        :param chr:
            Chromosome (1-22, X, Y, XY)
        :type chr: None | str
        :param code:
            Numeric error code (more information here:
            http://zzz.bwh.harvard.edu/plink/summary.shtml#mendel)
        :type code: None | double
        :param numberOfErrors:
            Number of errors of the type "code" in that chromosome
        :type numberOfErrors: None | double
        :param sampleId:
            Sample Id
        :type sampleId: None | str
        """

        attributes = {k: v for k, v in locals().items() if k not in ["self", "unknown"]}
        ProtocolElement.__init__(self, **attributes)

    @classmethod
    def _namespace_version(cls):
        return "1.2.0"
